<?php
if( !defined('CMS_VERSION') ) { exit; }
if( !$this->_HasSufficientPermissions('siteprefs') ) return;
/** @var int $returnid in scope from file inclusion */

$parms = [];
$parms['error'] = 0;
$parms['message'] = 'Success!';



if( isset($params['submit']) || isset($params['do_import']) )
{
  $r = \MAMS\feu_importer::run();
  $parms['error'] = $r[1][0];
  $parms['message'] = $r[1][1];
}
else
{
  $parms['error'] = 1;
  $parms['message'] = 'No direct access!';
}

$this->Redirect($id, 'admin_settings', $returnid, $parms);
?>